%{!?perl_version: %define perl_version %(eval "`%{__perl} -V:version`"; echo $version)}
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

%define modn   ExtUtils-CBuilder
%define modv   0.23


Summary:       Compile and link C code for Perl modules
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Ken Williams <kwilliams@cpan.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test)
BuildRequires: perl(Text::ParseWords)
BuildArch:     noarch


%description
This module can build the C portions of Perl modules by invoking the
appropriate compilers and linkers in a cross-platform manner.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes INSTALL README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri May 09 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.23-1
- Initial build
